@if (componentData$ | async; as componentData) {
  <div class="flex-row full-width">
    <div class="view-title-wrapper flex-row">
      <div class="view-title">
        {{
          'sqtm-core.campaign-workspace.test-plan-execution.title' | translate
        }}
      </div>
      @if (shouldShowResetFilterLink(activeFilters$ | async)) {
        <div>
          <sqtm-core-reset-filters-link
            (resetFiltersLinkPressed)="resetFilters()"
          ></sqtm-core-reset-filters-link>
        </div>
      }
    </div>
    @if (componentData.milestonesAllowModification) {
      <div class="flex-fixed-size font-20-px m-auto panel-buttons">
        @if (isLaunchButtonVisible$ | async) {
          <sqtm-core-toggle-icon
            [active]="componentData.permissions.canExecute"
            [asyncRunning]="resumeTestPlanButtonAsync$ | async"
            (clickedInActiveMode)="resumeExecution()"
          >
            <i
              nz-icon
              nzType="sqtm-core-campaign:play"
              nzTheme="outline"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.campaign-workspace.test-plan.launch-execution.button'
                  | translate
              "
              class="action-icon-size"
              [attr.data-test-button-id]="'launch-execution'"
            >
            </i>
          </sqtm-core-toggle-icon>
        }
        @if (isResumeButtonVisible$ | async) {
          <sqtm-core-toggle-icon
            [active]="componentData.permissions.canExecute"
            [asyncRunning]="resumeTestPlanButtonAsync$ | async"
            (clickedInActiveMode)="resumeExecution()"
          >
            <i
              nz-icon
              nzType="sqtm-core-campaign:pause"
              nzTheme="outline"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.campaign-workspace.test-plan.resume-execution'
                  | translate
              "
              class="action-icon-size"
              [attr.data-test-button-id]="'resume-execution'"
            >
            </i>
          </sqtm-core-toggle-icon>
        }
        @if (isReLaunchButtonVisible$ | async) {
          <sqtm-core-toggle-icon
            [active]="componentData.permissions.canExecute"
            [asyncRunning]="relaunchTestPlanButtonAsync$ | async"
            (clickedInActiveMode)="relaunchExecution()"
          >
            <i
              nz-icon
              nzType="sqtm-core-campaign:restart"
              nzTheme="outline"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.campaign-workspace.test-plan.relaunch-execution'
                  | translate
              "
              class="action-icon-size"
              [attr.data-test-button-id]="'relaunch-execution'"
            >
            </i>
          </sqtm-core-toggle-icon>
        }
        @if (isLaunchAutomatedButtonVisible$ | async) {
          <sqtm-core-toggle-icon
            [active]="componentData.permissions.canExecute"
            [asyncRunning]="relaunchTestPlanButtonAsync$ | async"
            (clickedInActiveMode)="openLaunchAutomatedMenu()"
            nz-popover
            [nzPopoverVisible]="launchAutomatedMenuVisible$ | async"
            [nzPopoverContent]="launchAutomatedMenu"
            [nzPopoverTrigger]="'click'"
            [nzPopoverPlacement]="'bottom'"
          >
            <i
              nz-icon
              nzType="sqtm-core-campaign:play_auto"
              nzTheme="outline"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.campaign-workspace.test-plan.launch-automated-execution.button'
                  | translate
              "
              class="action-icon-size"
              [attr.data-test-button-id]="'launch-automated'"
            >
            </i>
          </sqtm-core-toggle-icon>
        }
        <ng-template #launchAutomatedMenu>
          <a
            class="launch-automated-link"
            [attr.data-test-menu-id]="'launch-all'"
            (click)="launchAllAutomatedTests()"
          >
            {{
              'sqtm-core.campaign-workspace.test-plan.launch-all-automated-execution'
                | translate
            }}
          </a>
          <a
            class="launch-automated-link m-t-10"
            [class.disabled]="!(hasSelectedAutomatedRows$ | async)"
            [attr.data-test-menu-id]="'launch-selected'"
            (click)="launchSelectedAutomatedTests()"
          >
            {{
              'sqtm-core.campaign-workspace.test-plan.launch-selected-automated-execution'
                | translate
            }}
          </a>
        </ng-template>
        <div class="buttons-separator"></div>
        @if (this.referentialDataService.isPremiumPluginInstalled$ | async) {
          <sqtm-core-toggle-icon
            [active]="true"
            (clickedInActiveMode)="showAvailableFilters()"
          >
            <i
              [attr.data-test-toolbar-button-id]="'open-widget-column-button'"
              nz-icon
              #iconColumnElement
              nzType="sqtm-core-generic:columns"
              class="action-icon-size custom-icon"
              nzTheme="outline"
              nz-tooltip="{{
                'sqtm-core.grid.columns' | translate | capitalize
              }}"
            >
            </i>
          </sqtm-core-toggle-icon>
        }
        <sqtm-core-toggle-icon
          [active]="canEditExecPlan$ | async"
          (clickedInActiveMode)="openMassEditDialog()"
        >
          <i
            nz-icon
            nzType="sqtm-core-generic:bulk_edition"
            nzTheme="outline"
            nz-tooltip
            [nzTooltipTitle]="
              'sqtm-core.search.generic.modify.selection' | translate
            "
            class="action-icon-size"
            [attr.data-test-button-id]="'mass-edit'"
          >
          </i>
        </sqtm-core-toggle-icon>
        <div class="buttons-separator"></div>
        @if (componentData.permissions.canLink) {
          <i
            nz-icon
            nzType="sqtm-core-generic:add"
            nzTheme="outline"
            nz-tooltip
            [nzTooltipTitle]="
              'sqtm-core.generic.label.associate.test-case' | translate
            "
            class="current-workspace-button action-icon-size"
            [attr.data-test-button-id]="'show-test-case-picker'"
            (click)="toggleTestCasePickerDrawer()"
          >
          </i>
        }
        @if (componentData.permissions.canLink) {
          <a
            nz-dropdown
            [attr.data-test-button-id]="'search'"
            [nzDropdownMenu]="searchMenu"
          >
            <i
              nz-icon
              nzType="sqtm-core-tree:search"
              nzTheme="outline"
              class="current-workspace-button action-icon-size"
            >
            </i>
          </a>
        }
        <nz-dropdown-menu #searchMenu="nzDropdownMenu">
          <ul nz-menu [attr.data-test-menu-id]="'search-menu'">
            <li
              nz-menu-item
              [attr.data-test-menu-item-id]="'search-testcase'"
              [routerLink]="[
                '/search/test-case/test-suite/',
                componentData.testSuite.id
              ]"
            >
              {{
                'sqtm-core.campaign-workspace.test-plan-execution.search-testcases'
                  | translate
              }}
            </li>
            <li
              nz-menu-item
              [attr.data-test-menu-item-id]="'search-tc-by-requirement'"
              [routerLink]="[
                '/search/test-case/test-suite/',
                componentData.testSuite.id,
                'coverage'
              ]"
            >
              {{
                'sqtm-core.campaign-workspace.test-plan-execution.search-testcases-by-coverage'
                  | translate
              }}
            </li>
          </ul>
        </nz-dropdown-menu>
        <sqtm-core-toggle-icon
          [active]="
            (hasSelectedRows$ | async) && componentData.permissions.canDelete
          "
          (clickedInActiveMode)="showMassDeleteItpiDialog(componentData)"
        >
          <i
            nz-icon
            nzType="sqtm-core-generic:delete"
            nzTheme="outline"
            [attr.data-test-button-id]="'show-confirm-mass-delete-dialog'"
            nz-tooltip
            class="action-icon-size"
            [nzTooltipTitle]="
              'sqtm-core.campaign-workspace.test-plan-execution.delete.label'
                | translate
            "
            nzTooltipPlacement="topRight"
          ></i>
        </sqtm-core-toggle-icon>
      </div>
    }
  </div>
  <div
    #content
    class="full-width overflow-hidden flex-column sqtm-large-grid-container p-10 flex-grow"
    [sqtmCoreDraggableDropZone]="dropZoneId"
    (drop)="dropIntoTestPlan($event)"
    [attr.data-test-element-id]="dropZoneId"
    (dragEnter)="dragEnter($event)"
    (dragLeave)="dragLeave($event)"
    (dragCancel)="dragCancel()"
  >
    <sqtm-core-grid
      class="full-width full-height sqtm-core-prevent-selection-in-grid"
    ></sqtm-core-grid>
  </div>
  <sqtm-core-drawer
    [localTheme]="testCaseWorkspace"
    [titleKey]="'sqtm-core.tree-picker.test-case.title'"
    [isVisible]="componentData.testSuite.uiState.openTestCaseTreePicker"
    (close)="toggleTestCasePickerDrawer()"
    [backgroundColor]="'neutral'"
  >
    <i
      projection="icons"
      nz-icon
      nzType="sqtm-core-generic:help"
      nzTheme="fill"
      class="m-l-10 font-20-px current-workspace-main-color"
      nz-tooltip
      [nzTooltipTitle]="'sqtm-core.tree-picker.iteration.test-case' | translate"
    ></i>
    @if (componentData.testSuite.uiState.openTestCaseTreePicker) {
      <sqtm-core-test-case-picker
        [pickerPersistenceKey]="'add-test-case-to-execution-plan'"
      >
      </sqtm-core-test-case-picker>
    }
  </sqtm-core-drawer>
}
